<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>employee_attendance_m</ion-title>
  </ion-toolbar>
</ion-header>

<!-- <ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title size="large">employee_attendance_m</ion-title>
    </ion-toolbar>
  </ion-header>
</ion-content> -->
<ion-content padding>
  <div *ngIf="!NextPageDiv">
    <ion-item>
      <ion-label>Date: </ion-label>
      <ion-datetime displayFormat="MM/DD/YYYY" name="AttendanceDate" required [(ngModel)]="EmpAttendanceObject.AttendanceDate"></ion-datetime>
    </ion-item>
    <ion-item>
      <ion-label>Role</ion-label>
      <ion-item>
        <!-- <ion-label>Role</ion-label> -->
        <ion-select name="Role" [(ngModel)]="EmpAttendanceObject.RoleId" required>
          <ion-select-option *ngFor="let c of RoleList" [value]="c.Id">
            {{ c.Name }}
          </ion-select-option>
        </ion-select>
      </ion-item>
      
    </ion-item>
    <ion-button (click)="getEmployee()" expand="full">Take Attendance</ion-button>
  </div>
  <div *ngIf="NextPageDiv" style="padding-bottom: 100%">
    <ion-item>
      <ion-searchbar
        [(ngModel)]="NextPage.searchText"
        name="searchText"
        (ionCancel)="onCancel()"
        [showCancelButton]="true"
        (ionInput)="SearchEmployeeName($event)"
        placeholder="Search"
      ></ion-searchbar>
    </ion-item>
    <ion-item>
      <ion-label>Mark All As</ion-label>
      <ion-select name="MarkAll" [(ngModel)]="NextPage.Mark" (ionChange)="MarkAllStud()">
        <ion-select-option *ngFor="let c of AttendanceMarkAll" [value]="c.Id">{{ c.Name }}</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-list>
      <ion-item class="item item-toggle" *ngFor="let item of EmployeeList">
        <ion-label>{{ item.Name }}</ion-label>
        <ion-toggle
          style="--background-checked: blue; --background-checked-opacity: 1"
          name="isPresent"
          [(ngModel)]="item.isPresent"
        ></ion-toggle>
      </ion-item>
    </ion-list>
    <ion-button (click)="SaveAttendance()" expand="full">Submit</ion-button>
  </div>
</ion-content>